<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg config</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-config">
<span id="hg-config-1"></span>
<h1 class="title">hg config</h1>
<h2 class="subtitle" id="show-combined-config-settings-from-all-hgrc-files">show combined config settings from all hgrc files</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
<li><a class="reference internal" href="#aliases" id="toc-entry-4">Aliases</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg config [-u] [NAME]...
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>With no arguments, print names and values of all config items.</p>
<p>With one argument of the form section.name, print just the value
of that config item.</p>
<p>With multiple arguments, print names and values of all config
items with matching section names or section.names.</p>
<p>With --edit, start an editor on the user-level config file. With
--global, edit the system-wide config file. With --local, edit the
repository-level config file.</p>
<p>With --source, the source (filename and line number) is printed
for each config item.</p>
<p>See <a class="reference external" href="hgrc.5.html"><tt class="docutils literal">hg help config</tt></a> for more information about config files.</p>
<div class="verbose docutils container">
<p>--non-shared flag is used to edit <cite>.hg/hgrc-not-shared</cite> config file.
This file is not shared across shares when in share-safe mode.</p>
<p>Template:</p>
<p>The following keywords are supported. See also <a class="reference external" href="hg.1.html#templates"><tt class="docutils literal">hg help templates</tt></a>.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">name:</th><td class="field-body">String. Config name.</td>
</tr>
<tr class="field"><th class="field-name">source:</th><td class="field-body">String. Filename and line number where the item is defined.</td>
</tr>
<tr class="field"><th class="field-name">value:</th><td class="field-body">String. Config value.</td>
</tr>
</tbody>
</table>
<p>The --shared flag can be used to edit the config file of shared source
repository. It only works when you have shared using the experimental
share safe feature.</p>
</div>
<p>Returns 0 on success, 1 if NAME does not exist.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-u</span>, <span class="option">--untrusted</span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>show untrusted configuration options</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">--exp-all-known</span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>show all known config option (EXPERIMENTAL)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-e</span>, <span class="option">--edit</span></kbd></td>
<td>edit user config</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-l</span>, <span class="option">--local</span></kbd></td>
<td>edit repository config</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--source</span></kbd></td>
<td>show source of configuration value</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--shared</span></kbd></td>
<td>edit shared source repository config (EXPERIMENTAL)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--non-shared</span></kbd></td>
<td>edit non shared config (EXPERIMENTAL)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-g</span>, <span class="option">--global</span></kbd></td>
<td>edit global config</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
<div class="section" id="aliases">
<h1><a class="toc-backref" href="#contents">Aliases</a></h1>
<pre class="literal-block">
showconfig, debugconfig
</pre>
</div>
</div>
</body>
</html>
